- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
API available for accessing webcam
Emotion » API available for manipulating Emotion object. | Emotion

## Functions
EAPI const Eina_List * | emotion_webcams_get (void)
| Get a list of active and available webcam. More...
EAPI const char * | emotion_webcam_name_get (const Emotion_Webcam *ew)
| Get the human understandable name of a Webcam. More...
EAPI const char * | emotion_webcam_device_get (const Emotion_Webcam *ew)
| Get the uri of a Webcam that will be understood by emotion. More...

## Detailed Description

## Function Documentation

EAPI const Eina_List* emotion_webcams_get | ( | void |  | ) |

Get a list of active and available webcam.

Returns
  the list of available webcam at the time of the call.

It will return the current live list of webcam. It is updated before triggering EMOTION_WEBCAM_UPDATE and should never be modified.

EAPI const char* emotion_webcam_name_get | ( | const Emotion_Webcam * | ew | ) |

Get the human understandable name of a Webcam.

Parameters

  ew | The webcam to get the name from.

Returns
  the actual human readable name.

EAPI const char* emotion_webcam_device_get | ( | const Emotion_Webcam * | ew | ) |

Get the uri of a Webcam that will be understood by emotion.

Parameters

  ew | The webcam to get the uri from.

Returns
  the actual uri that emotion will later understood.